import 'package:flutter/material.dart';
import 'package:gmalpha_flutter/Annotations/RouterBaser.dart';
import 'package:gmalpha_flutter/Annotations/anno/Router.dart';
import 'package:gmalpha_flutter/MessageModel/NewMessageRouterImpl.dart';

@Router("NewMessageModel", NewMessageRouterImpl, true)
abstract class NewMessageRouter implements RouterBaser {
  Widget getAttentionPage(String fromPage);
  Widget getMessagePage(String fromPage);
  Widget getLikePage(String fromPage);
  Widget getFocusPage(String fromPage);
}